Bug 191454 - i2o devices are detected in non-deterministic order
i2o devices are detected in non-deterministic order
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 01:14 EDT by Danny Yee
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Yee 2006-05-12 01:14:51 EDT
Description of problem:
   i2o devices are not always found in the same order -
   /dev/i2o/hda and /dev/i2o/hdb are swapped on some occasions

Version-Release number of selected component (if applicable):
   vanilla Fedora Core 4 install CD

How reproducible:
   boot several times in rescue mode off Fedora Core 4 install CD
  
Actual results:
   when it asks me which Fedora install to use, sometimes the choice is
   between /dev/hdc (backup on IDE drive) and /dev/i2o/hda1, sometimes
   between /dev/hdc and /dev/i2o/hdb1

   when I get a shell, the same thing is clear from df - sometimes I find
   three partitions and my root partition on /dev/i2o/hdb (and one big
   /dev/i2o/hda1), when I expect three partitions including root partition
   on /dev/i2o/hda (and one big /dev/i2o/hdab1).

Additional info:
   the other i2o arrays (/dev/i2o/hdc, /dev/i2o/hdd, /dev/i2o/hde) don't appear
   to move around - certainly none of them are ever swapped with /dev/i2o/hda
   
   booting with the devices the wrong way around complicates fixing grub
   problems (which may also have something to do with this problem)
Comment 1 Dave Jones 2006-09-16 23:22:45 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 15:45:42 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Danny Yee 2007-02-16 07:08:59 EST
I've just hit this again.  I upgraded an i2o-based machine that was happily
running FC5 and hit some problems.  When I booted off the FC6 rescue CD, what
used to be /dev/i2o/hda was now /dev/i2o/hdb and vice versa.  (Also, I had to
make the devices by hand before I could mount the partitions.)

I only tried this twice, so I don't know if it's random (as before) or reliably
different between 2.6.18-1.2257.fc5smp and whatever kernel the rescue CD uses.
Comment 4 Jon Stanley 2008-01-19 23:41:44 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.